#include <iostream>
#define MOD 1000000007

using namespace std;

static int a[300];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin>>n;
    string s;
    cin>>s;
    int k=65;
    for(int i=0;i<n;i++)
    {
        if(k == (int)s[i])k++;
        if(k>90)break;
    }
    if(k!=91)
    {
        cout<<0;
        return 0;
    }
    int granica=0;
    for(int i=0;i<n;i++)
    {
        if((int)s[i] == granica)a[(int)s[i]]++;
        if((int)s[i] > granica)granica=(int)s[i];
    }
    for(int i=65;i<=90;i++)
        a[i]++;
    long long res=1;
    for(int i=65;i<=90;i++)
    {
        res*=a[i];
        res%=MOD;
    }
    cout<<res;
}